import * as React from 'react';
import { IColumn } from 'office-ui-fabric-react/lib/DetailsList';
export interface ISortOptions {
    field: string;
    isSortedDescending: boolean;
}
export declare type HeadingHandler = (e: any, column: IColumn) => void;
export interface ISortingAndFilteringContext {
    sortOptions: ISortOptions;
    onColumnClick: HeadingHandler;
    filterText: string;
    clearFilterText: (e: any) => void;
    updateFilterText: (e: any, newValue?: string) => void;
}
export declare const SortingAndFilteringContext: React.Context<ISortingAndFilteringContext>;
export interface ISortingAndFilteringProps {
}
export declare const SortingAndFiltering: React.FunctionComponent<ISortingAndFilteringProps>;
export declare const useSortingAndFiltering: () => ISortingAndFilteringContext;
//# sourceMappingURL=SortingAndFiltering.d.ts.map